classification
Title: The path argument of asyncio.BaseEventLoop.create_unix_connection is not documented
Type: enhancement Stage: resolved
Components: asyncio, Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, berker.peksag, docs@python, gvanrossum, python-dev, socketpair, texttheater, vstinner, yselivanov
Priority: normal Keywords: easy, patch

Created on 2016-05-08 21:39 by texttheater, last changed 2016-11-03 21:19 by gvanrossum. This issue is now closed.

Files
File name Uploaded Description Edit
issue26980.patch Mariatta, 2016-11-03 03:31 review
Messages (7)
msg265170 - (view) Author: (texttheater) Date: 2016-05-08 21:39
The documentation does not say what this argument is for.

It says "See the BaseEventLoop.create_connection() method for parameters", but that method does not have a path argument.

The argument seems to be required unless the keyword argument sock is given.
msg266111 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-05-22 21:53
It's the name of the UNIX domain socket.
msg278534 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-12 18:25
Thanks for the report. I'm marking this as an easy documentation issue. BaseEventLoop is now AbstractEventLoop (87e3a58ed3c3) and the documentation of AbstractEventLoop.create_unix_connection() can be found in Doc/library/asyncio-eventloop.rst. Guido already explained what it means in msg266111 so what we need is to convert Guido's answer to a proper patch.
msg278538 - (view) Author: Марк Коренберг (socketpair) * Date: 2016-10-12 19:35
It will be nice if someone also adds if abstract UNIX sockets are supported. And also about bytes/str path support.
msg279962 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-11-03 03:31
Hi, I updated the documentation explaining the path argument.

Let me know if this works. Thanks :)
msg280020 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-11-03 21:15
LGTM, will apply shortly.
msg280021 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-03 21:18
New changeset b97b0201c2f4 by Guido van Rossum in branch '3.5':
Issue #26980: Improve docs for create_unix_connection(). By Mariatta.
https://hg.python.org/cpython/rev/b97b0201c2f4

New changeset ddbba4739ef4 by Guido van Rossum in branch '3.6':
Issue #26980: Improve docs for create_unix_connection(). By Mariatta. (3.5->3.6)
https://hg.python.org/cpython/rev/ddbba4739ef4

New changeset d6f4c1b864e6 by Guido van Rossum in branch 'default':
Issue #26980: Improve docs for create_unix_connection(). By Mariatta. (3.6->3.7)
https://hg.python.org/cpython/rev/d6f4c1b864e6
History
Date User Action Args
2016-11-03 21:19:32gvanrossumsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2016-11-03 21:18:49python-devsetnosy: + python-dev
messages: + msg280021
2016-11-03 21:15:17gvanrossumsetmessages: + msg280020
2016-11-03 03:31:08Mariattasetfiles: + issue26980.patch

nosy: + Mariatta
messages: + msg279962

keywords: + patch
2016-10-12 19:35:23socketpairsetnosy: + socketpair
messages: + msg278538
2016-10-12 18:25:07berker.peksagsettype: enhancement
versions: + Python 3.7
keywords: + easy
nosy: + berker.peksag

messages: + msg278534
stage: needs patch
2016-05-22 21:53:34gvanrossumsetmessages: + msg266111
2016-05-22 06:53:47ned.deilysetnosy: + yselivanov, vstinner, gvanrossum

components: + asyncio
versions: - Python 3.4
2016-05-08 21:39:08texttheatercreate